diff --git python-hwdata/python-hwdata.spec python-hwdata/python-hwdata.spec.tmp
index 4d1835bac6..b0a4c52874 100644
--- python-hwdata/python-hwdata.spec
+++ python-hwdata/python-hwdata.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:		python-hwdata
 Version:	2.3.4
-Release:	4%{?dist}
+Release:	5%{?dist}
 Summary:	Python bindings to hwdata package
 BuildArch:  noarch
 Group:		Development/Libraries
@@ -23,12 +23,20 @@ Source0:	%{name}-%{version}.tar.gz
 BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 
 BuildRequires: python-devel
-Requires:	hwdata
 
-%description
-Provide python interface to database stored in hwdata package.
+%global _description\
+Provide python interface to database stored in hwdata package.\
 It allows you to get human readable description of USB and PCI devices.
 
+%description %_description
+
+%package -n python2-hwdata
+Summary: %summary
+Requires:	hwdata
+%{?python_provide:%python_provide python2-hwdata}
+
+%description -n python2-hwdata %_description
+
 %if 0%{?with_python3}
 %package -n python3-hwdata
 Summary:	Python bindings to hwdata package
@@ -80,7 +88,7 @@ rm -rf $RPM_BUILD_ROOT
 python3-pylint hwdata.py example.py
 %endif
 
-%files
+%files -n python2-hwdata
 %license LICENSE
 %doc README.md example.py
 %doc html
@@ -95,6 +103,10 @@ python3-pylint hwdata.py example.py
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.4-5
+- Python 2 subpackage renamed to python2-hwdata
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.4-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-icalendar/python-icalendar.spec python-icalendar/python-icalendar.spec.tmp
index 43e3f31890..9716541397 100644
--- python-icalendar/python-icalendar.spec
+++ python-icalendar/python-icalendar.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-icalendar
 Version:        3.11.5
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Parser/generator of iCalendar files following the RFC 2445
 
 License:        BSD
@@ -27,17 +27,24 @@ BuildRequires:  python3-pytz
 BuildRequires:  python3-dateutil
 %endif # if with_python3
 
-Requires:       pytz
-Requires:       python-dateutil
+%global _description\
+iCalendar specification (RFC 2445) defines calendaring format used\
+by many applications (Zimbra, Thunderbird and others). This\
+module is a parser/generator of iCalendar files for use with\
+Python. It follows the RFC 2445 (iCalendar) specification.\
+The aim is to make a package that is fully compliant with RFC 2445,\
+well designed, simple to use and well documented.\
 
-%description
-iCalendar specification (RFC 2445) defines calendaring format used
-by many applications (Zimbra, Thunderbird and others). This
-module is a parser/generator of iCalendar files for use with
-Python. It follows the RFC 2445 (iCalendar) specification.
-The aim is to make a package that is fully compliant with RFC 2445,
-well designed, simple to use and well documented.
 
+%description %_description
+
+%package -n python2-icalendar
+Summary: %summary
+Requires:       python-dateutil
+Requires:       pytz
+%{?python_provide:%python_provide python2-icalendar}
+
+%description -n python2-icalendar %_description
 
 %if 0%{?with_python3}
 %package -n python3-icalendar
@@ -90,7 +97,7 @@ popd
 # because it assumes ascii files
 #LC_ALL=en_US.UTF-8 tox
 
-%files
+%files -n python2-icalendar
 %doc README.rst CHANGES.rst LICENSE.rst
 %{python_sitelib}/icalendar
 %{python_sitelib}/*.egg-info
@@ -103,6 +110,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.11.5-3
+- Python 2 subpackage renamed to python2-icalendar
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.5-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-imdb/python-imdb.spec python-imdb/python-imdb.spec.tmp
index 1753e9db14..cf32efb0e3 100644
--- python-imdb/python-imdb.spec
+++ python-imdb/python-imdb.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-imdb
 Version:        5.1
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Retrieve and manage the data of the IMDb movie database
 
 Group:          Development/Languages
@@ -16,16 +16,23 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel, python-setuptools, gettext
 
-Requires:       python-sqlobject, python-lxml, python-BeautifulSoup
-Requires:       python-formencode, python-sqlalchemy, python-migrate
-Provides:       IMDbPY = %{version}-%{release}
+%global _description\
+IMDbPY is a Python package useful to retrieve and manage the data of\
+the IMDb movie database about movies, people, characters and companies.\
+\
+IMDbPY is mainly a tool intended for programmers and developers, but\
+some example scripts are included.
 
-%description
-IMDbPY is a Python package useful to retrieve and manage the data of
-the IMDb movie database about movies, people, characters and companies.
+%description %_description
 
-IMDbPY is mainly a tool intended for programmers and developers, but
-some example scripts are included.
+%package -n python2-imdb
+Summary: %summary
+Provides:       IMDbPY = %{version}-%{release}
+Requires:       python-formencode, python-sqlalchemy, python-migrate
+Requires:       python-sqlobject, python-lxml, python-BeautifulSoup
+%{?python_provide:%python_provide python2-imdb}
+
+%description -n python2-imdb %_description
 
 %prep
 %setup -qn %{realname}-%{version}
@@ -71,7 +78,7 @@ done
 rm -rf $RPM_BUILD_ROOT
 
 
-%files -f imdbpy.lang
+%files -n python2-imdb -f imdbpy.lang
 %defattr(-,root,root,-)
 %doc docs/AUTHOR.txt docs/Changelog.txt docs/CONTRIBUTORS.txt docs/DISCLAIMER.txt docs/FAQS.txt docs/LICENSE.txt docs/README* docs/TODO.txt docs/imdbpy.cfg
 %doc examples
@@ -80,6 +87,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.1-4
+- Python 2 subpackage renamed to python2-imdb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-inlinestyler/python-inlinestyler.spec python-inlinestyler/python-inlinestyler.spec.tmp
index cd7c77e042..d995f8b469 100644
--- python-inlinestyler/python-inlinestyler.spec
+++ python-inlinestyler/python-inlinestyler.spec.tmp
@@ -1,7 +1,7 @@
 %global module_name inlinestyler
 Name:           python-%{module_name}
 Version:        0.1.7
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Inlines external CSS into HTML elements
 
 License:        BSD
@@ -11,10 +11,17 @@ Source0:        https://pypi.python.org/packages/source/i/%{module_name}/%{modul
 BuildArch:      noarch
 BuildRequires:  python2-devel python-setuptools
 
+%global _description\
+inlinestyler is an easy way to locally inline CSS into an HTML email message.
+
+%description %_description
+
+%package -n python2-%{module_name}
+Summary: %summary
 Requires:       python-cssutils python-lxml
+%{?python_provide:%python_provide python2-%{module_name}}
 
-%description
-inlinestyler is an easy way to locally inline CSS into an HTML email message.
+%description -n python2-%{module_name} %_description
 
 %prep
 %setup -q -n %{module_name}-%{version}
@@ -28,13 +35,17 @@ rm -rf %{module_name}.egg-info
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-%{module_name}
 %doc AUTHORS CHANGELOG LICENSE README.rst
 %{python2_sitelib}/%{module_name}-%{version}-py?.?.egg-info/
 %{python2_sitelib}/%{module_name}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.7-8
+- Python 2 subpackage renamed to python2-inlinestyler
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ipaddress/python-ipaddress.spec python-ipaddress/python-ipaddress.spec.tmp
index 0dc774fc8b..e232d3f6e1 100644
--- python-ipaddress/python-ipaddress.spec
+++ python-ipaddress/python-ipaddress.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pyname}
 Version:        1.0.18
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Port of the python 3.3+ ipaddress module to 2.6+
 
 License:        Python
@@ -12,16 +12,24 @@ Source0:        https://pypi.python.org/packages/source/i/%{pyname}/%{pyname}-%{
 BuildArch:      noarch
 BuildRequires:  python2-devel
 
-%description
-ipaddress provides the capabilities to create, manipulate and operate
-on IPv4 and IPv6 addresses and networks.
-
-The functions and classes in this module make it straightforward to
-handle various tasks related to IP addresses, including checking
-whether or not two hosts are on the same subnet, iterating over all
-hosts in a particular subnet, checking whether or not a string
+%global _description\
+ipaddress provides the capabilities to create, manipulate and operate\
+on IPv4 and IPv6 addresses and networks.\
+\
+The functions and classes in this module make it straightforward to\
+handle various tasks related to IP addresses, including checking\
+whether or not two hosts are on the same subnet, iterating over all\
+hosts in a particular subnet, checking whether or not a string\
 represents a valid IP address or network definition, and so on.
 
+%description %_description
+
+%package -n python2-%{pyname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pyname}}
+
+%description -n python2-%{pyname} %_description
+
 %prep
 %setup -q -n %{pyname}-%{version}
 
@@ -35,12 +43,16 @@ rm -rf $RPM_BUILD_ROOT
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-%{pyname}
 %doc README.md
 %{python2_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.18-3
+- Python 2 subpackage renamed to python2-ipaddress
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ipaddr/python-ipaddr.spec python-ipaddr/python-ipaddr.spec.tmp
index 3a23cec191..8008d630bf 100644
--- python-ipaddr/python-ipaddr.spec
+++ python-ipaddr/python-ipaddr.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-ipaddr
 Version:        2.1.10
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        A python library for working with IP addresses, both IPv4 and IPv6
 
 Group:          Development/Languages
@@ -11,10 +11,18 @@ Source0:        http://ipaddr-py.googlecode.com/files/ipaddr-%{version}.tar.gz
 BuildArch:      noarch
 BuildRequires:  python-devel
 
-%description
-python-ipaddr is a library for working with IP addresses, both IPv4 and IPv6.
+%global _description\
+python-ipaddr is a library for working with IP addresses, both IPv4 and IPv6.\
 It was developed by Google for internal use, and is now open source.
 
+%description %_description
+
+%package -n python2-ipaddr
+Summary: %summary
+%{?python_provide:%python_provide python2-ipaddr}
+
+%description -n python2-ipaddr %_description
+
 %prep
 %setup -q -n ipaddr-%{version}
 # remove unneeded shebang
@@ -29,13 +37,17 @@ rm -rf $RPM_BUILD_ROOT
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-ipaddr
 %defattr(-,root,root,-)
 %doc COPYING README RELEASENOTES
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.10-8
+- Python 2 subpackage renamed to python2-ipaddr
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.10-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-iptools/python-iptools.spec python-iptools/python-iptools.spec.tmp
index 692fa36ddb..3edbee69aa 100644
--- python-iptools/python-iptools.spec
+++ python-iptools/python-iptools.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-iptools
 Version:        0.6.1
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        A few useful functions and objects for manipulating IP addresses in python
 
 License:        BSD
@@ -20,11 +20,19 @@ BuildRequires:  python3-nose
 BuildRequires:  python3-setuptools
 %endif # if with_python3
 
-%description
-A few useful functions and objects for manipulating IPv4 and IPv6 addresses
-in python. The project was inspired by a desire to be able to use CIDR address
-notation to designate INTERNAL_IPS in a Django project's settings file.
+%global _description\
+A few useful functions and objects for manipulating IPv4 and IPv6 addresses\
+in python. The project was inspired by a desire to be able to use CIDR address\
+notation to designate INTERNAL_IPS in a Django project's settings file.\
+
 
+%description %_description
+
+%package -n python2-iptools
+Summary: %summary
+%{?python_provide:%python_provide python2-iptools}
+
+%description -n python2-iptools %_description
 
 %if 0%{?with_python3}
 %package -n python3-iptools
@@ -81,7 +89,7 @@ popd
 %endif # with_python3
 
  
-%files
+%files -n python2-iptools
 %doc AUTHORS CHANGES docs LICENSE README.md
 %{python_sitelib}/*
 
@@ -93,6 +101,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.1-12
+- Python 2 subpackage renamed to python2-iptools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-irawadi-user/python-irawadi-user.spec python-irawadi-user/python-irawadi-user.spec.tmp
index e328ea3643..8911d56cc0 100644
--- python-irawadi-user/python-irawadi-user.spec
+++ python-irawadi-user/python-irawadi-user.spec.tmp
@@ -3,7 +3,7 @@
 %global package_name irawadi-user
 Name:           python-irawadi-user
 Version:        0.1
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Python Library for manage system user in Linux 
 
 License:        GPLv3
@@ -14,11 +14,19 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-Python Library for manage system user and group in Linux.
-With Irawadi-user, the developer can add users, update
+%global _description\
+Python Library for manage system user and group in Linux.\
+With Irawadi-user, the developer can add users, update\
 the password to users and delete users account
 
+%description %_description
+
+%package -n python2-irawadi-user
+Summary: %summary
+%{?python_provide:%python_provide python2-irawadi-user}
+
+%description -n python2-irawadi-user %_description
+
 %prep
 %setup -qn %{package_name}-%{commit}
 
@@ -31,13 +39,17 @@ the password to users and delete users account
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-irawadi-user
 %doc LICENSE README.md 
 %{python_sitelib}/irawadi_user
 %{python_sitelib}/irawadi_user-*.egg-info
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-13
+- Python 2 subpackage renamed to python2-irawadi-user
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-irclib/python-irclib.spec python-irclib/python-irclib.spec.tmp
index 508c754196..e6833afc62 100644
--- python-irclib/python-irclib.spec
+++ python-irclib/python-irclib.spec.tmp
@@ -3,7 +3,7 @@
 
 Name: python-irclib
 Version: 0.4.8
-Release: 13%{?dist}
+Release: 14%{?dist}
 Summary: A set of Python modules for IRC support
 
 Group: Development/Libraries
@@ -15,12 +15,20 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: python python-devel
 BuildArch: noarch
 
-%description
-This library is intended to encapsulate the IRC protocol at a quite
-low level.  It provides an event-driven IRC client framework.  It has
-a fairly thorough support for the basic IRC protocol, CTCP and DCC
+%global _description\
+This library is intended to encapsulate the IRC protocol at a quite\
+low level.  It provides an event-driven IRC client framework.  It has\
+a fairly thorough support for the basic IRC protocol, CTCP and DCC\
 connections.
 
+%description %_description
+
+%package -n python2-irclib
+Summary: %summary
+%{?python_provide:%python_provide python2-irclib}
+
+%description -n python2-irclib %_description
+
 %prep
 %setup -q
 %{__sed} -i 's/\r//g' *
@@ -35,13 +43,17 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-irclib
 %defattr(-,root,root,-)
 %doc README ChangeLog COPYING irccat irccat2 servermap testbot.py dccsend dccreceive
 %{python_sitelib}/*.py*
 %{python_sitelib}/python_irclib-%{version}-py%{pyver}.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.8-14
+- Python 2 subpackage renamed to python2-irclib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.8-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ironic-inspector-client/python-ironic-inspector-client.spec python-ironic-inspector-client/python-ironic-inspector-client.spec.tmp
index 214d01aef4..9af0710f3c 100644
--- python-ironic-inspector-client/python-ironic-inspector-client.spec
+++ python-ironic-inspector-client/python-ironic-inspector-client.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-ironic-inspector-client
 Version:        1.9.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Python client and CLI tool for Ironic Inspector
 
 License:        ASL 2.0
@@ -15,24 +15,30 @@ BuildRequires:  python2-devel
 BuildRequires:  python-pbr
 BuildRequires:  python-setuptools
 
-Requires:  python-osc-lib
-Requires:  python-oslo-i18n
-Requires:  python-oslo-utils
-Requires:  python-openstackclient
-Requires:  python-requests
-Requires:  python-six
+%global _description\
+Ironic Inspector is an auxiliary service for discovering hardware properties\
+for a node managed by OpenStack Ironic. Hardware introspection or hardware\
+properties discovery is a process of getting hardware parameters required for\
+scheduling from a bare metal node, given it’s power management credentials\
+(e.g. IPMI address, user name and password).\
+\
+This package contains Python client and command line tool for Ironic Inspector.
 
-Obsoletes: python-ironic-discoverd < 1.1.0-3
-Provides: python-ironic-discoverd = %{upstream_version}
+%description %_description
 
-%description
-Ironic Inspector is an auxiliary service for discovering hardware properties
-for a node managed by OpenStack Ironic. Hardware introspection or hardware
-properties discovery is a process of getting hardware parameters required for
-scheduling from a bare metal node, given it’s power management credentials
-(e.g. IPMI address, user name and password).
+%package -n python2-ironic-inspector-client
+Summary: %summary
+Provides: python-ironic-discoverd = %{upstream_version}
+Obsoletes: python-ironic-discoverd < 1.1.0-3
+Requires:  python-six
+Requires:  python-requests
+Requires:  python-openstackclient
+Requires:  python-oslo-utils
+Requires:  python-oslo-i18n
+Requires:  python-osc-lib
+%{?python_provide:%python_provide python2-ironic-inspector-client}
 
-This package contains Python client and command line tool for Ironic Inspector.
+%description -n python2-ironic-inspector-client %_description
 
 %prep
 %setup -q -n %{pypi_name}-%{upstream_version}
@@ -47,12 +53,16 @@ rm -f {test-,}requirements.txt
 %install
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-ironic-inspector-client
 %doc README.rst LICENSE
 %{python2_sitelib}/ironic_inspector_client*
 %{python2_sitelib}/python_ironic_inspector_client*egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.0-4
+- Python 2 subpackage renamed to python2-ironic-inspector-client
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-isodate/python-isodate.spec python-isodate/python-isodate.spec.tmp
index 5fe34a3f72..e552149b82 100644
--- python-isodate/python-isodate.spec
+++ python-isodate/python-isodate.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-%{modulename}
 Version:        0.5.4
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        An ISO 8601 date/time/duration parser and formatter
 Group:          Development/Languages
 License:        BSD
@@ -22,24 +22,32 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
 
-%description
-This module implements ISO 8601 date, time and duration parsing. The
-implementation follows ISO8601:2004 standard, and implements only date/time
-representations mentioned in the standard. If something is not mentioned there,
-then it is treated as non existent, and not as an allowed option.
+%global _description\
+This module implements ISO 8601 date, time and duration parsing. The\
+implementation follows ISO8601:2004 standard, and implements only date/time\
+representations mentioned in the standard. If something is not mentioned there,\
+then it is treated as non existent, and not as an allowed option.\
+\
+For instance, ISO8601:2004 never mentions 2 digit years. So, it is not intended\
+by this module to support 2 digit years. (while it may still be valid as ISO\
+date, because it is not explicitly forbidden.) Another example is, when no time\
+zone information is given for a time, then it should be interpreted as local\
+time, and not UTC.\
+\
+As this module maps ISO 8601 dates/times to standard Python data types, like\
+date, time, datetime and timedelta, it is not possible to convert all possible\
+ISO 8601 dates/times. For instance, dates before 0001-01-01 are not allowed by\
+the Python date and datetime classes. Additionally fractional seconds are\
+limited to microseconds. That means if the parser finds for instance\
+nanoseconds it will round it to microseconds.
 
-For instance, ISO8601:2004 never mentions 2 digit years. So, it is not intended
-by this module to support 2 digit years. (while it may still be valid as ISO
-date, because it is not explicitly forbidden.) Another example is, when no time
-zone information is given for a time, then it should be interpreted as local
-time, and not UTC.
+%description %_description
 
-As this module maps ISO 8601 dates/times to standard Python data types, like
-date, time, datetime and timedelta, it is not possible to convert all possible
-ISO 8601 dates/times. For instance, dates before 0001-01-01 are not allowed by
-the Python date and datetime classes. Additionally fractional seconds are
-limited to microseconds. That means if the parser finds for instance
-nanoseconds it will round it to microseconds.
+%package -n python2-%{modulename}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{modulename}}
+
+%description -n python2-%{modulename} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{modulename}
@@ -115,7 +123,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{modulename}
 %defattr(-,root,root,-)
 %doc CHANGES.txt README.rst TODO.txt
 %{python2_sitelib}/%{modulename}*.egg-info
@@ -129,6 +137,10 @@ popd
 %endif 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.4-7
+- Python 2 subpackage renamed to python2-isodate
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-isprelink/python-isprelink.spec python-isprelink/python-isprelink.spec.tmp
index b128abb5a8..1dccc4f4bd 100644
--- python-isprelink/python-isprelink.spec
+++ python-isprelink/python-isprelink.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-isprelink
 Version:        0.1.2
-Release:        21%{?dist}
+Release:        22%{?dist}
 Summary:        Python module to determine if a file has been prelinked
 
 Group:          Development/Languages
@@ -14,9 +14,17 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python-devel
 BuildRequires:  elfutils-libelf-devel
 
-%description
+%global _description\
 Python module to determine if a file has been prelinked.
 
+%description %_description
+
+%package -n python2-isprelink
+Summary: %summary
+%{?python_provide:%python_provide python2-isprelink}
+
+%description -n python2-isprelink %_description
+
 %prep
 %setup -q -n isprelink-%{version}
 
@@ -30,12 +38,16 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-isprelink
 %defattr(-,root,root,-)
 %doc README
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.2-22
+- Python 2 subpackage renamed to python2-isprelink
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-21
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-jellyfish/python-jellyfish.spec python-jellyfish/python-jellyfish.spec.tmp
index ae9fb3728b..b8cdc34998 100644
--- python-jellyfish/python-jellyfish.spec
+++ python-jellyfish/python-jellyfish.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:           python-%{realname}
 Version:        0.5.6
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        A python library for doing approximate and phonetic matching of strings
 
 Group:          Development/Languages
@@ -36,17 +36,25 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-pytest
 %endif
 
-%description
-Jellyfish does approximate and phonetic string matching. It
-includes the following string comparison algorithms:
-Levenshtein Distance, Damerau-Levenshtein Distance, 
-Jaro Distance, Jaro-Winkler Distance, Match Rating Approach
-Comparison and Hamming Distance
-
-And the following phonetic encodings:
-American Soundex, Metaphone, NYSIIS (New York State Identification
+%global _description\
+Jellyfish does approximate and phonetic string matching. It\
+includes the following string comparison algorithms:\
+Levenshtein Distance, Damerau-Levenshtein Distance,\
+Jaro Distance, Jaro-Winkler Distance, Match Rating Approach\
+Comparison and Hamming Distance\
+\
+And the following phonetic encodings:\
+American Soundex, Metaphone, NYSIIS (New York State Identification\
 and Intelligence System), Match Rating Codex
 
+%description %_description
+
+%package -n python2-%{realname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
+
 %if %{with python3}
 %package -n python3-%{realname}
 Summary:        A python library for doing approximate and phonetic matching of strings
@@ -91,7 +99,7 @@ export PYTHONPATH=.;
 py.test-3 jellyfish/test.py
 %endif
 
-%files
+%files -n python2-%{realname}
 %license LICENSE
 %doc README.rst docs/comparison.rst docs/index.rst docs/phonetic.rst docs/stemming.rst docs/changelog.rst
 
@@ -107,6 +115,10 @@ py.test-3 jellyfish/test.py
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.6-6
+- Python 2 subpackage renamed to python2-jellyfish
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-jsonpath-rw/python-jsonpath-rw.spec python-jsonpath-rw/python-jsonpath-rw.spec.tmp
index 7636bc2c9d..4c3010fdb6 100644
--- python-jsonpath-rw/python-jsonpath-rw.spec
+++ python-jsonpath-rw/python-jsonpath-rw.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:		python-%{pkgname}
 Version:	1.2.3
-Release:	11%{?dist}
+Release:	12%{?dist}
 Summary:        Extended implementation of JSONPath for Python
 
 License:	ASL 2.0
@@ -16,19 +16,27 @@ Source0:	https://github.com/kennknowles/python-jsonpath-rw/archive/%{version}.ta
 
 BuildArch:      noarch
 BuildRequires:	python-devel, python-setuptools
-Requires:       python-ply
-Requires:       python-decorator
-Requires:       python-six
 
-%description
+%global _description\
+\
+This library provides a robust and significantly extended implementation of\
+JSONPath for Python, with a clear AST for meta-programming. It is tested with\
+Python 2.6, 2.7, 3.2, 3.3, and PyPy.\
+\
+This library differs from other JSONPath implementations in that it is a full\
+language implementation, meaning the JSONPath expressions are first class\
+objects, easy to analyze, transform, parse, print, and extend.
 
-This library provides a robust and significantly extended implementation of
-JSONPath for Python, with a clear AST for meta-programming. It is tested with
-Python 2.6, 2.7, 3.2, 3.3, and PyPy.
+%description %_description
 
-This library differs from other JSONPath implementations in that it is a full
-language implementation, meaning the JSONPath expressions are first class
-objects, easy to analyze, transform, parse, print, and extend.
+%package -n python2-%{pkgname}
+Summary: %summary
+Requires:       python-six
+Requires:       python-decorator
+Requires:       python-ply
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pkgname}
@@ -97,7 +105,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-%{pkgname}
 %doc README.rst LICENSE
 %{python_sitelib}/*
 
@@ -108,6 +116,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.3-12
+- Python 2 subpackage renamed to python2-jsonpath-rw
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
